Kerbal Space Program - Bug #17984

Joystick doesn't work
03/11/2018 02:48 PM - Badsector

Status: Closed Start date: 03/11/2018
Severity: Normal % Done: 100%
Assignee:
Category: Input Devices and Settings
Target version: 1.8.0
Version: 1.4.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

Joystick is not recognised under linux, in ksp 1.3.1 player.log i get a line with "Using libudev for joystick management" and after
joystick configuration, but nothing in 1.4 player.log

History

#1 - 03/11/2018 11:26 PM - Badsector

- Description updated

#3 - 03/14/2018 10:51 PM - Squelch

- Expansion Core Game added

#4 - 03/14/2018 10:52 PM - Squelch
- Status changed from New to Investigating

- % Done changed from 0 to 20

#5 - 03/16/2018 08:02 PM - Badsector
- File settings.cfg added

By setting SDL_ GAMECONTROLLERCONFIG in etc/environment now the joystick is recognised and i can store keybinding but not axis, that is
happened again in 1.1.2 https://bugs.kerbalspaceprogram.com/issues/9679

Edit:
Axis are stored but they don't appear in setting screen and neither work ingame

#6 - 04/01/2018 10:31 PM - whale_2

Doesn't work in 1.4.2 as well.

#7 - 04/14/2018 02:14 PM - Cyclic3

It's been more than a month, and this bug is preventing me from playing KSP. Has there been any movement?

#8 - 04/14/2018 03:26 PM - jclovis3

You can play KSP with keyboard and mouse. Most of us do, so to say that it is "preventing" you from playing is an unfair assessment of the criticality
of this bug.

#9 - 04/18/2018 12:19 AM - Squelch
We are exploring different solutions to this problem. It is not a simple fix, and possible workarounds are also being explored.
What would be helpful is to canvas which game controllers are being used. The make, model and even looking up your controller on the

SDL_GameControllerDB to see if it is included would be highly useful. You can also contribute to the effort by submitting your own controller
definitions to the project.

Steam does offer a partial solution via the Steam Controller support that extends to XBox One and PS4 compatible controllers, and some limited
support for generic game controllers posing as a Steam Controller. Steam is a requirement for this however.
https://github.com/gabomdq/SDL_GameControllerDB

Issue #9679 is related for similar reasons concerning how the input device is named. Identifying the device in a consistent way has always been the
problem, and compounded by the switch to SDL support only in Unity. First it must be detected via SDL, and then given an identifier. The Open
Source Community are making some great gains with the database, but it is not complete, and is still not a robust system for maintaining a persistent
identity on any given system.

#10 - 04/18/2018 04:04 PM - Badsector
Mine is "DragonRise Inc. PC TWIN SHOCK Gamepad" and is included in "GameControllerDB"

In KSP 1.3.1 is named "DragonRise Inc. Generic USB Joystick"

That is my settings in etc/environment

SDL_GAMECONTROLLERCONFIG="03000000790000000600000010010000,DragonRise Inc. Generic USB
Joystick,a:b2,b:b1,back:b8,dpdown:h0.4,dpleft:h0.8,dpright:h0.2,dpup:h0.1,leftshoulder:b4,leftstick:b10,lefttrigger:b6,leftx:a0,lefty:a1,rightshoulder:b5,
rightstick:b11,righttrigger:b7,rightx:a3,righty:a4,start:b9,x:b3,y:b0"

#11 - 04/19/2018 02:09 AM - konig12

Mine is a "Logitech Extreme 3D Pro" and is included in the GameControllerDB under the name "Logitech Logitech Extreme 3D".

#12 - 04/19/2018 11:01 AM - giganetom
Mine is a custom one, a Teensy (Arduino compatible) device. It attaches over USB and looks like a HID joystick with several axes (3 rotation, 3
translation, 1 throttle) and several buttons.

The most valuable pieces of information in my situation are:

e | have an USB HID joystick

e Works under the Windows version

¢ Worked in the previous version

e Doesn't work with the current version

e |t doesn't work with the current version in the same way other popular USB gamepads and joysticks don't work with it.

Because of this, it is highly likely that the problem exists for everybody trying to play KSP with gamepads or joysticks on Linux, and probably most of
the custom controller builders are heavily affected.

#13 - 04/20/2018 02:04 PM - steve_v
Squelch wrote:
What would be helpful is to canvas which game controllers are being used.

Bus 001 Device 005: ID 0738:1302 Mad Catz, Inc.
Device Descriptor:

bLength 18

bDescriptorType 1

bcdUSB 2.00

bDeviceClass 0
bDeviceSubClass 0
bDeviceProtocol 0
bMaxPacketSize0 8

idVendor 0x0738 Mad Catz, Inc.
idProduct 0x1302

bcdDevice 1.33

iManufacturer 1 Mad Catz
iProduct 2 Mad Catz F.L.Y.5 Stick

/tmp/sdl-jstest-master/build $ ./sdl-jstest --list
Found 1 joystick(s)

Joystick Name: 'Mad Catz Mad Catz F.L.Y.5 Stick'
Joystick Number: 0

Number of Axes: 5

Number of Buttons: 14

Number of Hats: 1

Number of Balls: 0

/tmp/sdl-jstest-master/build $ ./sdI2-jstest --list
Found 1 joystick(s)

Joystick Name: 'Mad Catz Mad Catz F.L.Y.5 Stick'

Joystick GUID:  03000000380700000213000011010000
Joystick Number: 0
Number of Axes: 5
Number of Buttons: 14
Number of Hats: 1
Number of Balls: 0
GameController:
not a gamepad

This device also worked perfectly in previous KSP versions, and works currently in several other games | have tested it with.

#14 - 04/20/2018 03:29 PM - the.hungarian

Squelch wrote:

What would be helpful is to canvas which game controllers are being used.

ThrustMaster, Inc. T-Flight Hotas X Flight Stick was also working before. Its not the SDL database as far as | can see.

Isusb
lsusb -d 044f:b108 -v
Bus 006 Device 002: ID 044f:b108 ThrustMaster, Inc. T-Flight Hotas X Flight Stick

Couldn't open device, some information will be missing
Device Descriptor:

bLength 18

bDescriptorType 1

bcdUSB 1.10

bDeviceClass 0

bDeviceSubClass 0

bDeviceProtocol 0

bMaxPacketSizel 64

idvendor 0x044f ThrustMaster, Inc.
idProduct 0xb108 T-Flight Hotas X Flight Stick
bcdDevice 1.00

iManufacturer 1

iProduct 2

iSerial 0
bNumConfigurations 1

Configuration Descriptor:

bLength

bDescriptorType

wTotallength 3

bNumInterfaces

bConfigurationValue

iConfiguration

bmAttributes 0x8
(Bus Powered)

MaxPower 80mA

Interface Descriptor:
bLength
bDescriptorType
bInterfaceNumber
bAlternateSetting
bNumEndpoints
bInterfaceClass
bInterfaceSubClass
bInterfaceProtocol

O O & N

Human Interface Device

O O O WkrFr O O b O

iInterface
HID Device Descriptor:
bLength 9
bDescriptorType 33
bcdHID 1.00
bCountryCode 0 Not supported
bNumDescriptors 1
bDescriptorType 34 Report
wDescriptorLength 182
Report Descriptors:
** UNAVAILABLE **
Endpoint Descriptor:
bLength 7
bDescriptorType 5
bEndpointAddress 0x81 EP 1 IN
bmAttributes 3
Transfer Type Interrupt

Synch Type None
Usage Type Data
wMaxPacketSize 0x0018 1x 24 bytes
bInterval 10
sdl-jstest

sdl-jstest -1
Found 1 joystick(s)

Joystick Name: 'Thrustmaster T.Flight Hotas X'
Joystick Number: 0
Number of Axes: 5
Number of Buttons: 12
Number of Hats: 1
Number of Balls: 0

sdl2-jstest

sdl2-jstest -1
Found 1 joystick(s)

Joystick Name: 'Thrustmaster T.Flight Hotas X'
Joystick GUID: 030000004£04000008b1000000010000
Joystick Number: 0

Number of Axes: 5

Number of Buttons: 12

Number of Hats: 1

Number of Balls: 0

GameController:

not a gamepad

#15 - 04/20/2018 06:55 PM - sschork
- File Player.log added
- File settings.cfg added

First of all: Thanks for this super-great Software. I've already had so many fun hours with it, thanks to everyone involved in making and improving it!

Ok, | registered just because of this; you asked for it in
forum.kerbalspaceprogram.com/index.php?/topic/171983-ksp-14-joystick-not-found-under-linux/&page=2 - so here we go:

I run OpenSUSE Leap 42.3 fully updated. My game controllers are
- Logitech Extreme 3D Pro

030000006d04000015¢2000010010000,Logitech Logitech Extreme
3D,a:b0,b:b4,back:b6,guide:b8,leftshoulder:b9,leftstick:h0.8,leftx:a0,lefty:a1,rightshoulder:b10,rightstick:h0.2,start:b7,x:b2,y:b5,platform:Linux

- Logitech Gamepad F310

030000006d04000016c2000000000000,Logitech F310 Gamepad
(DInput),a:b1,b:b2,back:b8,dpdown:h0.4,dpleft:h0.8,dpright:h0.2,dpup:h0.1,leftshoulder:b4,leftstick:b 10, lefttrigger:b6,leftx:a0,lefty:a1,rightshoulder:b5,
rightstick:b11,righttrigger:b7,rightx:a2,righty:a3,start:b9,x:b0,y:b3,platform:Mac OS X,

(neither works)
Isusb:

Bus 002 Device 002: ID 8087:8001 Intel Corp.

Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Bus 001 Device 002: ID 8087:8009 Intel Corp.

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub

Bus 003 Device 004: ID 046d:c05a Logitech, Inc. M90/M100 Optical Mouse

Bus 003 Device 003: ID 046d:c31c Logitech, Inc. Keyboard K120 for Business
Bus 003 Device 002: ID 046d:c215 Logitech, Inc. Extreme 3D Pro

Bus 003 Device 005: ID 046d:c21d Logitech, Inc. F310 Gamepad [XInput Mode]
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Before controllers stopped working, | already had this issue:
forum.kerbalspaceprogram.com/index.php?/topic/151148-joysticks-for-gnulinux/
if this is any help...

Player Log and settings.cfg are attached. Can't wait to make some history! Cheers

#16 - 06/09/2018 12:04 AM - m4v

Same issue

J/sdl-jstest --list
Found 1 joystick(s)

Joystick Name:  'Microsoft SideWinder Precision Pro'
Joystick Number: 0

Number of Axes: 4

Number of Buttons: 9

Number of Hats: 1

Number of Balls: 0

J/sdI2-jstest --list
Found 1 joystick(s)

Joystick Name:  'Microsoft SideWinder Precision Pro'
Joystick GUID:  14000000070000000200000000010000
Joystick Number: 0

Number of Axes: 4

Number of Buttons: 9

Number of Hats: 1

Number of Balls: 0

GameController:

not a gamepad

#17 - 06/12/2018 07:33 PM - Tomator

Thrustmaster T-FLIGHT STICK X isn't working in KSP 1.4.3.2152 as well, on Ubuntu 16.04
It has been working with KSP 1.4.x on Windows and works with jstest-gtk on Ubuntu but not in the game on Ubuntu.

#18 - 06/23/2018 09:22 AM - politas

Well, | tried setting up my Logitech Extreme 3D Pro joystick in the Steam Controller settings, then loaded KSP 1.4.4 and went into settings.
Configured the axes for flight, loaded a game, launched a stock plane, and my joystick pitch and yaw axes were changing the camera view instead of
controlling the plane. No mention of any joystick config in the log that | can find, though there is one line:

[LOG 10:47:15.489] [KSPSteamController]: Loaded. Initializing hooks...

The settings dialog doesn't even seem to accept assignments for joystick axes. | note that my old "Joystick1Button™ settings still show up, when |
attempt to set axes, they appear to be setting them to "joy0.*", which | assume is trying to use the Steam Controller API, but failing.

#19 - 08/28/2018 06:51 AM - TriggerAu

Just to add an update, following on from the previous one we continue to explore options with the changes that occurred with the Unity engine update
and have generated a task in our backlog of work. We are unable to provide a date as to when that task may be prioritized at this stage.

#20 - 09/01/2018 11:51 AM - steve_v

Just to add an update, this is ridiculous. It's been 6 months, 1.5 is in the works, and the best you have is "We might think about fixing this at some
undefined date in the future."
You might as well just close this with "Unity problem. Won't fix." In my experience, that does appear to be your general approach to such bugs.

Your "options" are to a) do nothing, and hope Unity fixes it in time for the next release. b) bypass Unity's broken input layer and use SDL directly, as
AFBW does.

One of these actions fixes the problem. The other makes you look incompetent and / or lazy, while an open-source mod fixes the regression you
introduced.

#21-10/18/2018 06:13 PM - Cyclic3

Does this work on the new update?

#22 - 10/21/2018 08:38 AM - diomedea

steve_v wrote:
Your "options" are to a) do nothing, and hope Unity fixes it in time for the next release. b) bypass Unity's broken input layer and use SDL directly,
as AFBW does.

One of these actions fixes the problem. The other makes you look incompetent and / or lazy, while an open-source mod fixes the regression you
introduced.

Really does it? Been searching your device on the SDL database, no matches.
But anyway, why complain so vehemently if AFBW solves your problem? What I'm getting from your rage is instead you can't use your device at all.
So, you appear to contradict yourself.

Trying instead to be positive. You reported the problem started with KSP 1.4.0, and doesn't happen with other games; so it appears tied to Unity2017
(KSP migrated to that engine version with 1.4.0). Unity2017 was a major change in many many areas (which required a long effort to rewrite a good
deal of KSP, so it took a long time and not all could be fixed as desired early on). Seems like Unity hasn't yet completed development of its new Input
System (if you like, follow the discussion on https:/forum.unity.com/threads/input-system-update.508660/ ). As often the case, features are first
developed for Windows, then ported to Linux. It's unfortunate, as this means we need to wait for Unity to complete their part. Squad developers are
real busy on other fronts, trying to develop a custom version of the Unity Input system to make it work for Linux would probably take longer than
waiting Unity to fix it. Implementing in KSP a different solution (like AFBW does) isn't either a top priority, thanks to AFBW existence. And in both
cases, a solution developed in-house will still probably have bugs or not work for all possible devices.

As you could notice, the issue is NOT being dismissed: the situation is kept under scrutiny and no option has been ruled out. Certainly very different
than the "do nothing, wait for Unity to fix" conclusion you implied.

#23 - 11/01/2018 06:49 PM - politas

Still a problem in 1.5.1. If there's any more information we can provide to help the investigation of this bug, please let us know. | would really like to
play with the Making History DLC, which | have paid for twice. AFBW is not a solution; it makes absolutely no difference (or maybe I just don't know
enough to be able to use it properly).

#24 - 12/13/2018 03:18 AM - politas

1.6 is imminent, and | note this is still "Investigating". Should we not be hopeful for a fix in the next release? To support this game, I've bought it twice
for myself and once for a friend, and I've paid twice for the DLC expansion which | can't effectively use thanks to this bug. Fix it in 1.6 and I'll buy two
more copies for friends.

#25 - 12/25/2018 08:30 PM - Badsector
- File settings.cfg added

| have noticed some improvement in 1.6 (i haven't played 1.4.x 1.5.x)

Now axis are recognised and stored in settings.cfg, but they don't work in game and are not showed in the setting screen, now i can only tell there is
some mispelling in the code that don't allow the game to recognise axis name.

Watch for blank spaces, punctuation or upper-lower case because there is no other explanation.
Another difference versus 1.3.1 is the section INPUT_DEVICES{}

In1.3.1is

INPUT_DEVICES {

Microsoft X-Box 360 pad = 0

1

In1.4-1.6

INPUT_DEVICES {

1

But if the joystick is recognised the game is hable to store the joy Number
If is possible show every event in game we can help to solve the problem
Merry Christmas

Sorry for my bad english
Regards Luca

#26 - 12/31/2018 09:33 AM - steve_v
diomedea wrote:
Really does it? Been searching your device on the SDL database, no matches.
Mapping a HOTAS flightstick to xbox controller buttons and axes does not solve the underlying problem, and my device works perfectly without this
nonsense in every other application.
The database is not the problem, your game engine is.
The SDL joystick API is actually not that complicated, and can indeed be used without lobotomising the device down to the level of a gamepad. If you
need a tutorial on using it properly, | can probably whip something up.

Masquerading our joysticks as xbox controllers is not an acceptable solution anyway, even if it worked. It does not, so why mention it?

diomedea wrote:
But anyway, why complain so vehemently if AFBW solves your problem?

Because you are shipping serious regressions and expecting the community to clean up after you?

Or perhaps because rather than owning a problem you introduced, you are suggesting that "the Linux community" is just being lax in populating some
irrelevant database?

Your pick, either will cause me to "complain vehemently".

diomedea wrote:

Trying instead to be positive. You reported the problem started with KSP 1.4.0, and doesn't happen with other games; so it appears tied to
Unity2017 (KSP migrated to that engine version with 1.4.0). Unity2017 was a major change in many many areas (which required a long effort to
rewrite a good deal of KSP, so it took a long time and not all could be fixed as desired early on). Seems like Unity hasn't yet completed
development of its new Input System (if you like, follow the discussion on https:/forum.unity.com/threads/input-system-update.508660/ ). As
often the case, features are first developed for Windows, then ported to Linux. It's unfortunate, as this means we need to wait for Unity to
complete their part. Squad developers are real busy on other fronts, trying to develop a custom version of the Unity Input system to make it work
for Linux would probably take longer than waiting Unity to fix it. Implementing in KSP a different solution (like AFBW does) isn't either a top
priority, thanks to AFBW existence. And in both cases, a solution developed in-house will still probably have bugs or not work for all possible
devices.

As you could notice, the issue is NOT being dismissed: the situation is kept under scrutiny and no option has been ruled out. Certainly very
different than the "do nothing, wait for Unity to fix" conclusion you implied.

Hang on:
"...wait for Unity to complete their part."
"...do nothing, wait for Unity to fix"

Looks mighty similar to me, except now you're "keeping it under scrutiny” too.
Not fixing mind, just looking intently at it. Because regressions spontaneously fix themselves when observed, right?

For the record, | am entirely aware of the ongoing changes to Unity's input stack. I'm pretty sure everyone affected by this is aware of how and when
Unity broke it by this point.

Again, AFBW fixes the problem and the relevant source code is freely available. Why has it not been implemented in your product yet?
Also for the record, it's still broken in 1.6. That scrutiny sure is working wonders for my motivation to purchase DLC.

#27 - 12/31/2018 10:54 AM - politas
AFBW DOES NOT FIX THE PROBLEM!

#28 - 01/01/2019 12:33 AM - steve_v

politas wrote:

AFBW DOES NOT FIX THE PROBLEM!

Fix the problem with Unity, no.
Make Joysticks work in KSP, sure does, at least over here.

#29 - 01/01/2019 09:18 AM - politas

Well, if you have a link to some documentation that might help me get AFBW working, I'd appreciate it. My experience is that it makes not a bit of
difference.

#30 - 01/01/2019 12:00 PM - steve_v
politas wrote:
Well, if you have a link to some documentation that might help me get AFBW working, I'd appreciate it.
It works fine for me in both 1.4.5 & 1.5.0, on Gentoo amd64. | have not tested it on 1.6, as it is not officially compatible yet.
The place to ask about problems with AFBW is the AFBW thread on the forums.

| am not particularly familiar with the internals of the mod myself, but if you provide the relevant information there I'm sure | or somebody else will
assist.

#31-01/10/2019 11:52 AM - politas

Just loaded AFBW in 1.6.1 and it actually worked perfectly for me for the first time. Yay! | can use Making History!

#32 - 04/07/2019 09:26 AM - Cyclic3

This is more than a year old. Is there any movement on this bug?
#33 - 04/16/2019 03:35 PM - bitnick

I'm building a specialized controller for use with KSP - an industrial joystick, a USB-enabled microcontroller and some other parts. The joystick is now
detected as a generic USB HID Joystick by the kernel and the appropriate /dev/input/eventX file is created. | can watch the axis values change as the
joystick is moved using evtest.

| expected KSP (I'm running v1.7.0) to pick up any available standard joysticks (of course). | didn't expect this to be a problem, so my testing during
development only reached as far as making sure the device was correctly detected by the kernel. Imagine my disappointment when | realise that KSP
simply doesn't support joysticks! Who would have thought?!

* Did you (the KSP developers) report this bug (I guess you can call it a bug: a game engine that doesn't support joysticks!) upstream, to Unity?
Can we get a link to the corresponding Unity issue? (If you do report this, please request support through the modern, generic HID device event
system, not the deprecated joydev system). Thanks!

* Are gamepads supposed to work with KSP? | tried changing my device's USB descriptor so that it is detected as a USB HID Gamepad, but still
no dice... (KSP is run as a member of the input group and can access the event file in question, so it should not be a file permission problem.)

Any ideas are welcome.

#34 - 04/21/2019 06:38 PM - bitnick
- File settings.cfg added

So | downloaded the SDL2 source and built the controllermap utility (under test/ in the SDL2 source archive). | also made my controller tell the
computer that it is a Gamepad. | ran controllermap and got a config that | ran KSP with:

SDL_GAMECONTROLLERCONFIG="03000000472000001003000001010000,Kerbin Sticks Inc. Rocket Poker
v0.63,platform:Linux,leftx:a0,lefty:a1~ rightx:a2," ./KSP.x86_64

The joystick is now detected in the Settings page and | can assign pitch, roll and yaw axes! But it STILL doesn't work in-game, at the launch
pad/during flight. :( There is simply no reaction to stick movement. This latter problem must be a problem in KSP itself | guess? So this issue is really
two bugs:

e SDL/Unity does not detect standard joysticks without a specific "GAMECONTROLLERCONFIG" - should probably be reported upstream (Unity
bugtracker)?
e KSP doesn't actually use the control configuration set in in the Settings page, or doesn't see the controller data for some reason.

The axis configuration is saved in settings.cfg by the way:

AXIS_PITCH

{
PRIMARY

{
name = Kerbin Sticks Inc. Rocket Poker v0.63
axis =1
inv = False
sensitivity = 0.25
deadzone = 0
scale =

1

group = 0
modeMask = -3

}
| see that Badsector reported this problem too, 4 months ago, so | guess this bug can be seen as confirmed?
I'm attaching my settings.cfg. I'm happy to give more information (to the best of my ability) if requested by the developers.
#35 - 04/21/2019 08:49 PM - bitnick
More info:
Controller buttons do work - | can use my controller's Stage button in-game. But no reaction from Yaw/Pitch/Roll controls.
| have also rebuilt my device firmware to remove periods in the device name, but it makes no difference.

Relevant parts from settings.cfg:

LAUNCH_STAGES
{

primary = Space
secondary = JoystickButtonO
group = 0

modeMask = 1
modeMaskSec = -1

}

AXIS_PITCH
{
PRIMARY

{
name = Kerbin Sticks LTD Rocket Poker v2
axis = 0
inv = False
sensitivity = 0.25
deadzone = 0
scale =1
group = 0
modeMask = -3
}
Command line:

SDL_GAMECONTROLLERCONFIG="03000000472000001003000001010000,Kerbin Sticks LTD Rocket Poker v2,platform:Linux,a:
b0, leftx:a0,lefty:al~, rightx:a2," ./KSP.x86_64

#36 - 04/21/2019 09:02 PM - bitnick
| also tried running both SDL2's controllermap program and KSP with LC_ALL=C (reassigning the axes in KSP). Did not solve the issue.
Oh, and all this is with a clean install of KSP 1.7.0. No mods.

#37 - 04/21/2019 09:22 PM - bitnick

The axis that is saved as "Kerbin Sticks LTD Rocket Poker v2" axis 0 in settings.cfg above is displayed as Current Assignment: Joy0.1 in the
Settings/Input editor in KSP. Maybe this mismatch has something to do with the problem?

The button, which works, is displayed as JoystickButton0 in both settings.cfg and the Settings/Input editor.
#38 - 04/30/2019 12:37 PM - bitnick

- Status changed from Investigating to Updated
- % Done changed from 20 to 10

#39 - 05/13/2019 10:30 AM - Cyclic3
- Expansion Making History added
Can we change the version to 1.7? This still effects the latest version of the game.
Can we also mark it as confirmed? There is 0 doubt that this is a bug in the game (whether it's Squad's problem is a different question)
#40 - 05/15/2019 01:23 PM - steve_v
- Status changed from Updated to Confirmed
Cyclic3 wrote:
Can we change the version to 1.77? This still effects the latest version of the game.
Can we also mark it as confirmed? There is 0 doubt that this is a bug in the game (whether it's Squad's problem is a different question)

| can't do #1, but | will mark it as confirmed as it's pretty clear at this point that this is a real bug. | doubt it will make a lick of difference though, we've
already seen SQUADs attitude on this one.

#41 - 05/30/2019 02:45 PM - Cyclic3
steve_v wrote:
| doubt it will make a lick of difference though, we've already seen SQUADs attitude on this one.

Yeah, | know. This is a real shame, because it appears that action axis will be added into the new DLC, which will a) almost certainly do something
nasty to ABFW, and b) will mean that there is now a set of features | cannot access.
| love this game, but when the main selling point of what is effectively a $15 mod pack is "it is maintained by Squad", but Squad does not maintain
Linux support, | cannot justify dishing out the money.

Even a stressed Debian maintainer style "upstream, wontfix" would be nice, so that we could raise this with Unity, but for all we know, Bill Gates could
be personally deleting the axis inputs.

TL;DR: what can we do?

#42 - 05/30/2019 05:13 PM - Cyclic3

Just to point out, the last closed Linux-specific issue that was marked non-new (i.e. Squad even looked at it) was in January, and was a 110n issue.
The last closed bug was in March of last year. =(

#43 - 06/21/2019 10:37 PM - akarvi
- Expansion Breaking Ground added
Hej Squad,

this problem affects and frustrates many users who bought the game for a lot of money. Maybe somebody from Squad will be willing to answer and
give a status message?

Thank you!
#44 - 08/30/2019 01:28 PM - Cyclic3
- Subject changed from Joystick don't work to Joystick doesn't work

Well this was a fun journey.

| guess I'm now just reduced to waiting for KSP2, and hoping that it has a) Linux support, and b) devs who care. | will make sure to test this in the first
2 hours, so that | can refund it if this is still an issue.

Every time | receive a natification in this thread, | think "Today will be the day when the devs respond". Hope fills my heart, and | click on the link, only
for it be shattered. I'm done.

My final act before unsubscribing from this thread, and giving up on this altogether, will be correcting the grammar in the title. Maybe that's what was
putting them off from fixing this bug, or maybe a sacrificial offering to the Demon Lord Baal. Either way, I'm unsubscribing, and | recommend others
do too.

Squad just don't care any more.

#45 - 03/04/2020 09:27 PM - nestor

- Status changed from Confirmed to Ready to Test

- Target version set to 1.8.0

- % Done changed from 10 to 80

#46 - 03/05/2020 12:17 AM - politas

Target version 1.8.0? Seems a bit late for that release.

#47 - 03/08/2020 06:46 AM - TriggerAu

politas wrote:

Target version 1.8.0? Seems a bit late for that release.

1.8.0 was released after the last comment and included a fix for Joysticks on Linux. Tis why this was set to RTT with the version of the fix in target
release

#48 - 03/09/2020 07:07 AM - politas
Not sure what you're saying exactly. We have 1.9.1 out now. Should we be testing that release, or 1.8.0 (which was released far more than 4 days

ago)

#49 - 03/10/2020 03:09 AM - politas

Tested under 1.9.1, 1.8.1, and 1.8.0. Joystick axes can be set and work as expected.

#50 - 03/11/2020 08:50 AM - TriggerAu

04/28/2024 10/11



- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Thanks Politas, was just indicating that the fix should have been in from 1.8.0 - if we saw it broken in 1.9.1 then wed have to back track. Apologies |

didnt get back to you on the frst comment and really apprecaite the extra work to test all three version mate

Thanks again

#51 - 03/13/2020 11:40 PM - chris.fulton

- Status changed from Resolved to Closed

#52 - 03/15/2020 09:45 PM - sschork

Thank you very much <3
